POST externallinks

POST
/externallinks

Authorization

Bearer
headerAuthorizationBearer <token>

Paste your JWT token here

Request Body

application/json
  1. body

Defines the DTO for creating an external link.

titleDutch*string

The Dutch title for the external link.

Length0 <= length <= 120
titleEnglish*string

The English title for the external link.

Length0 <= length <= 120
descriptionDutch*string

The Dutch description for the external link.

Length0 <= length <= 2000
descriptionEnglish*string

The English description for the external link.

Length0 <= length <= 2000
url*string

The destination URL of the link.

Length0 <= length <= 2000
sortOrder?|

The order in which this link should be displayed.

Formatint32

Response Body

Created

application/json
  1. response

Represents the response DTO for an external link.

id*integer

The unique identifier of an ExternalLink, assigned incrementally.

Formatint32
titleDutch*string

The Dutch title for the external link.

titleEnglish*string

The English title for the external link.

descriptionDutch*string

The Dutch description for the external link.

descriptionEnglish*string

The English description for the external link.

url*string

The destination URL of the link.

sortOrder*integer

The order in which this link should be displayed.

Formatint32
iconPath?|

The storage path of the icon associated with this link.

curl -X POST 'https://example.com/externallinks' \  -H 'Content-Type: application/json' \  -d '{  "titleDutch": "string",  "titleEnglish": "string",  "descriptionDutch": "string",  "descriptionEnglish": "string",  "url": "string"}'
{  "id": 0,  "titleDutch": "string",  "titleEnglish": "string",  "descriptionDutch": "string",  "descriptionEnglish": "string",  "url": "string",  "sortOrder": 0,  "iconPath": "string"}